Retrieves all the car travels
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
car_travel| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key of User |
globally unique identifier |
Required |
| car_id |
Foreign key of Car |
globally unique identifier |
Required |
| hour_type_id |
Foreign key of the hour type |
globally unique identifier |
Required |
| date_from_rounded |
Date+Time travel FROM |
date |
Required |
| date_to_rounded |
Date+Time travel TO |
date |
Required |
| notes |
Additional notes field |
string | |
| to_travel_type_code |
Kind of travel. Can be |
string |
Required |
| is_approved |
Inform if this user_timesheet belongs to a week approved (readonly) |
boolean | |
| property_1_checked |
True/False status of property 1 |
boolean | |
| property_2_checked |
True/False status of property 2 |
boolean | |
| property_3_checked |
True/False status of property 3 |
boolean | |
| property_4_checked |
True/False status of property 4 |
boolean | |
| property_5_checked |
True/False status of property 5 |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| km_distance |
Distance traveled |
integer | |
| km_private |
Personal distance traveled |
integer | |
| from_travel_type_code |
Travel type when going to location |
string | |
| from_db_table_name |
Value of linked table |
string | |
| from_id_in_table |
Foreign key to object traveling from |
globally unique identifier | |
| to_db_table_name |
Value of linked table |
string | |
| to_id_in_table |
Foreign key to object traveling from |
globally unique identifier |
Response Formats
application/json, text/json
{
"id": "d7ad5a27-dc74-4f81-95f4-18d1b2fb7c05",
"user_id": "67e1168b-5141-42c2-a713-c214ae9f5766",
"car_id": "5a9dcc2c-23fa-43b2-b1bd-4f4be19bca3c",
"hour_type_id": "1fb7e7a0-386a-432d-858d-c48e77df97e3",
"date_from_rounded": "2026-05-15T06:19:07.8917378+00:00",
"date_to_rounded": "2026-05-15T06:19:07.8917378+00:00",
"notes": "sample string 7",
"to_travel_type_code": "sample string 8",
"is_approved": true,
"property_1_checked": true,
"property_2_checked": true,
"property_3_checked": true,
"property_4_checked": true,
"property_5_checked": true,
"modified_dateutc": "2026-05-15T06:19:07.8917378+00:00",
"km_distance": 16,
"km_private": 17,
"from_travel_type_code": "sample string 18",
"from_db_table_name": "sample string 19",
"from_id_in_table": "c41943e7-0b96-4eef-8402-93ab8e82d9fd",
"to_db_table_name": "sample string 21",
"to_id_in_table": "38f9a5db-de43-4712-9d7e-d92f5d47fd01"
}